import { CommonModule } from '@angular/common';
import { Component, Input, OnInit } from '@angular/core';
import { ResourcesLoaderService } from 'app/services/resources-loader.service';

@Component({
  standalone: true,
  imports: [CommonModule],
  selector: 'jhi-rawjson-pane',
  templateUrl: './rawjson-pane.component.html',
  styleUrls: ['./rawjson-pane.component.scss'],
  providers: [ResourcesLoaderService],
})
export class RawjsonPaneComponent implements OnInit {
  @Input() chosenId: string;
  fetchedRawData: string;
  constructor(private myService: ResourcesLoaderService) {
    this.fetchedRawData = '';
    this.chosenId = '';
  }
  ngOnInit(): void {
    //TODO: passare al servizio qui sotto: chosenItem.id come parametro rest
    this.myService.getJsonDetail(this.chosenId).subscribe(res => {
      this.fetchedRawData = res;
    });
  }
}
