import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable, map, tap } from 'rxjs';
import { appProperties } from 'app/config/app-properties';
import { IContextNode } from './i-context-node';

@Injectable({
  providedIn: 'root',
})
export class ContextsLoaderService {
  httpOptions = {
    headers: new HttpHeaders({ 'Content-Type': 'application/json' }),
  };

  constructor(private http: HttpClient) {}

  getData(): Observable<IContextNode[]> {
    //TODO: pipe per gestione errori
    return this.http.get<IContextNode[]>(appProperties.MOCK_BASEURL_API + '/allcontext');
  }

  getRawData(): Observable<string> {
    //TODO: pipe per gestione errori
    return this.http.get<string>(appProperties.BASEURL_API + 'is/allcontext');
  }
}
