import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IHostingnode } from './i-hostinngnode';
import { IResource } from './i-resource';

@Injectable({
  providedIn: 'root',
})
export class ResourcesLoaderService {
  httpOptions = {
    headers: new HttpHeaders({ 'Content-Type': 'application/json' }),
  };

  constructor(private http: HttpClient) {}

  //TODO: a regime questo metodo prende un parametro nella get
  getHostingNodes(): Observable<IHostingnode[]> {
    //TODO: pipe per gestione errori
    return this.http.get<IHostingnode[]>('http://localhost:3002/is/hostingnodes/all');
  }

  getResourcesByContext(): Observable<IResource[]> {
    //TODO: pipe per gestione errori
    return this.http.get<IResource[]>('http://localhost:3002/is/ctxresources');
  }

  //TODO: a regime questo metodo prende un parametro nella get
  //(e probabilmente anche un tipo per fare uno switch sul tipo di risorsa da prendere)
  getJsonDetail(uid: string): Observable<string> {
    //TODO: pipe per gestione errori
    return this.http.get<string>('http://localhost:3002/is/hostingnodes/detail');
  }

  getHostingNodeDetail(): Observable<string> {
    //TODO: pipe per gestione errori
    return this.http.get<string>('http://localhost:3002/is/hostingnodes/detail');
  }
}
